#!/bin/bash

set -e

# Run the script with /usr/bin/python to use the correct interpreter,
# the script shebang can be overwritten during the debian build.
exec /usr/bin/python3 /llanta-threaded-service \
    --conf "${WRITABLE_BASE_DIR}/etc/lastline/llanta.ini" \
    --llanta-id "${LLANTA_ID}" \
    --llanta-manager-endpoint "${LLANTA_MANAGER_ENDPOINT}" \
    --nta-alerts-endpoint "${NTA_ALERTS_ENDPOINT}"
